DESCRIPTION

afm2pl is meant to be a replacement for afm2tfm, on which it is
based. Its default action is to convert an afm file to a tfm file,
with preservation of kerns and ligatures (with afm2tfm, preserving
kerns and ligatures is possible only in a roundabout way).

For PostScript text fonts, Y&Y's texnansi is the recommended
encoding to be used with afm2pl.  This gives you a good character
set with all the more important accented characters and many
typographic symbols available as single characters, without a need
for either virtual fonts or a separate text companion font.

Full LaTeX support for this encoding is available in the form of the
texnansi package, which is already part of TeX Live and teTeX.

The distribution also contains uppercased and lowercased versions of
texnansi, texnanuc.enc and texnanlc.enc, to allow font-based rather
than macro-based uppercasing and lowercasing. LaTeX macro support
for this, in the context of LaTeX2e's font handling, is not hard;
the key is to treat all-uppercase and all-lowercase as new shapes.

USAGE

This is the help message printed by afm2pl:

  Usage: afm2pl [OPTIONS]... FILE[.afm] [FILE[.pl]]
  Convert an Adobe font metric file to a TeX font property list.

  -p ENCFILE          Read/download ENCFILE for the PostScript encoding
  -o                  Use octal for all character codes in the pl file
  -e REAL             Widen (extend) characters by a factor of REAL
  -s REAL             Oblique (slant) characters by REAL, generally <<1
  -m INTEGER          Letterspace by INTEGER/1000 em
  --help              Print this message and exit.
  --version           Print version number and exit.

  See the man page for full documentation.


  Email bug reports to ntg-afm2pl@ntg.nl


INSTALLATION FROM SOURCE

Afm2pl is meant to be incorporated into a current TeX Live/teTeX
installation. TeX Live already includes afm2pl, and for teTeX
(version >= 3.0) you can simply place the afm2pl source directory
under texk before compilation. A Windows binary is also provided.

TROUBLESHOOTING

Problem: I get warnings

  I had to round some heights by 10.0000000 units.
  I had to round some depths by 2.0000000 units.

Solution: This is not a problem. afm2pl uses units of 1/1000 times
the design size, so these rounding errors are really quite small.

Problem: Characters are missing. I am using T1 encoding.

T1 encoding requires virtual fonts, since it encodes many accented
characters which aren't available as single characters in commercial
Type 1 fonts. Afm2pl doesn't create virtual fonts. By using texnansi
instead, you force TeX to compose these missing characters from an
accent and the base character.

Problem: Letterspacing doesn't work

Explanation: In this version, letterspacing is implemented with
kerns. However, the tfm format accomodates only about half the
amount of kerning pairs needed for full letterspacing. I have tried
hard to create a set which falls within these boundaries but still
contains all kerning pairs which are likely to matter. If you use a
different encoding, you might exceed these boundaries and as a
consequence lose all glyphs and kerns.

Feedback is welcome.

June 23 2005

Siep Kroonenberg
ntg-afm2pl@ntg.nl
http://www.ntg.nl/afm2pl.html
